# runtime_error Class Reference

Inheritance diagram for runtime_error:

List of all members.

## Detailed Description

Runtime errors represent problems outside the scope of a program; they cannot be easily predicted and can generally only be caught as the program executes.

Definition at line 107 of file stdexcept.

## Public Member Functions

- runtime_error (const string &__arg)
- virtual const char * what () const throw ()

## Constructor & Destructor Documentation

runtime_error | ( | const string & | __arg | ) | `[explicit]`

| Takes a character string describing the error.

## Member Function Documentation

virtual const char* what | ( |  | ) | const throw ()`[virtual]`

| Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor). Reimplemented from exception.

The documentation for this class was generated from the following file:

- stdexcept